From 6ffadcbe582e3abb73c19d75b232510da821949a Mon Sep 17 00:00:00 2001
From: Dave Airlie <airlied@redhat.com>
Date: Thu, 20 Dec 2012 13:06:04 +1000
Subject: [PATCH 2/2] dma-buf: fix warning in seq_printf
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

/home/airlied/devel/kernel/drm-2.6/drivers/base/dma-buf.c: In function ‘dma_buf_describe’:
/home/airlied/devel/kernel/drm-2.6/drivers/base/dma-buf.c:566:5: warning: format ‘%d’ expects argument of type ‘int’, but argument 6 has type ‘long int’ [-Wformat]

Signed-off-by: Dave Airlie <airlied@redhat.com>
---
 drivers/base/dma-buf.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/drivers/base/dma-buf.c b/drivers/base/dma-buf.c
index 5b8c9df..132aaa3 100644
--- a/drivers/base/dma-buf.c
+++ b/drivers/base/dma-buf.c
@@ -560,7 +560,7 @@ static int dma_buf_describe(struct seq_file *s)
 	list_for_each_entry(buf_obj, &db_list.head, list_node) {
 		seq_printf(s, "\t");
 
-		seq_printf(s, "%08zu\t%08x\t%08x\t%08d\n",
+		seq_printf(s, "%08zu\t%08x\t%08x\t%08ld\n",
 				buf_obj->size, buf_obj->file->f_flags,
 				buf_obj->file->f_mode,
 				buf_obj->file->f_count.counter);
-- 
1.8.0.2

